tests: invoke full_cleanup from script trap handlers, use modprobe -r
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_5app_streaming_kill_relayd
index 0f6e49a9fe62a9fc57938e6cec2c83efc4a7cae5..d0121e32e429df5e05a691b7df00425e2d867eae 100755 (executable)
@@ -41,15 +41,6 @@ function enable_channel_per_uid()
     ok $? "Enable channel $channel_name per UID for session $sess_name"
 }
 
-function lttng_create_session_uri
-{
-       local name=$1
-
-       # Create session with default path
-       $TESTDIR/../src/bin/lttng/$LTTNG_BIN create $name -U net://localhost >/dev/null 2>&1
-       ok $? "Create session on net://localhost"
-}
-
 function check_sessiond()
 {
        if [ -z "$(pgrep --full lt-lttng-sessiond)" ]; then
@@ -66,8 +57,6 @@ function check_sessiond()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
@@ -88,7 +77,6 @@ function start_sessiond()
 function start_relayd
 {
        local opt=$1
-       local RELAYD_BIN="lttng-relayd"
 
        if [ -z $(pgrep --full lt-$RELAYD_BIN) ]; then
                $TESTDIR/../src/bin/lttng-relayd/$RELAYD_BIN $opt >$LOG_FILE_RELAYD 2>&1 &
@@ -113,7 +101,7 @@ test_stress()
 {
        for b in $(seq 1 $NR_LOOP); do
                for a in $(seq 1 $NR_SESSION); do
-                       lttng_create_session_uri $SESSION_NAME-$a
+                       create_lttng_session_uri $SESSION_NAME-$a net://localhost
                        check_sessiond
                        check_relayd
                        enable_channel_per_uid $SESSION_NAME-$a $CHANNEL_NAME
@@ -156,11 +144,10 @@ function sighandler()
 {
        cleanup
        #rm $LOG_FILE_SESSIOND $LOG_FILE_RELAYD
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
-trap sighandler SIGTERM
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
This page took 0.025561 seconds and 5 git commands to generate.